// Gets a URI from the location string and copies it to the clipboard.
var fso = new ActiveXObject("Scripting.FileSystemObject");
var WshShell = new ActiveXObject("WScript.Shell");

function main()
{
    if (WScript.Arguments.Length == 0)
    {
	return;
    }
    try
    {
	WshShell.Run("openwith -copypath " + URLToPath(WScript.Arguments(0)), 
	    0);
    }
    catch (e)
    {
	switch (e)
	{
	case "Invalid escaped URL.":
	    WScript.Echo("The URL cannot be correctly decoded.");
	    break;
	case "URL not local.":
	    WScript.Echo("The URL you gave is not local.");
	    break;
	case "Host machine name not found.":
	    WScript.Echo("The host name part of the URL is missing.");
	    break;
	default:
	    WScript.Echo("Unknown error: " + e.message);
	    break;
	}
    }
}

main();
