// backimp.bat file list generator for Programming Documents

var fso = new ActiveXObject("Scripting.FileSystemObject");
var WshShell = new ActiveXObject("WScript.Shell");
var StdOut = WScript.StdOut;

var ExclusionList = new Array(
        "Compressing", "Language Feature", "Standards", "Windows"
    );

function inStringList(str, stringList)
{
    for (var i = 0; i < stringList.length; i++) {
        if (str == stringList[i]) {
            return true;
        }
    }
    return false;
}

function main()
{
    try {
        // documents folder path
        var dfpath = "F:\\Programming\\Documents";
        // documents folder
        var docfold;
        // enumerator
        var en;
        // list file name
        var lstfnm = "backimp-pdoc.txt";

        WshShell.Exec("cmd /c type nul>" + lstfnm);
        docfold = fso.GetFolder(dfpath);
        en = new Enumerator(docfold.SubFolders);
        for (; !en.atEnd(); en.moveNext()) {
            StdOut.WriteLine(en.item().name);
            if (inStringList(en.item().name, ExclusionList)) {
                continue;
            }
            WshShell.Exec("cmd /c dir /s /b /a-d \"" + dfpath + "\\" +
                en.item().name + "\">>" + lstfnm);
        }
        WshShell.Exec("cmd /c dir /b /a-d \"" + dfpath + "\\*\">>" + lstfnm);
    } catch (ex) {
        StdOut.WriteLine("An error occurred in main.");
        StdOut.WriteLine("ex.toString(): " + ex.toString());
        StdOut.WriteLine("ex.message: " + ex.message);
    } 
}

main();
