var WindowsFolder = 0;
var SystemFolder = 1;
var TemporaryFolder = 2;
var ForReading = 1;
var ForWriting = 2;
var ForAppending = 8;
var TristateUseDefault = -2;
var TristateTrue = -1;
var TristateFalse = 0;
var fso = new ActiveXObject("Scripting.FileSystemObject");
var WshShell = new ActiveXObject("WScript.Shell");
function toTwoDigitString(i)
{
	if (i < 10)
	{
		return "0" + i.toString();
	}
	else
	{
		return i.toString();
	}
}
/**
 * Compiles and links all files listed in a project file.
 * return values:
 * 0 - successful
 * 1 - an error occurred
 **/
try
{
	if (WScript.Arguments.length >= 1)
	{
		var tsPrjFile;	// project file
		var sFilesToCompile = "";
		var sFilesToLink = "";
		var sObjFName;
		var sLine;
		var sFile;
		var dtOldDate;
		var dtNewDate;
		var bNeededToCompile = false;
		var sPrjFTitle;
		sPrjFTitle = WScript.Arguments(0).substring(0, WScript.Arguments(0).indexOf("."));
		tsPrjFile = fso.OpenTextFile(WScript.Arguments(0), ForReading);
		while (!tsPrjFile.AtEndOfStream)
		{
			sLine = tsPrjFile.ReadLine();
			sFile = sLine;
			sObjFName = sFile.substring(0, sFile.lastIndexOf(".")) + ".obj ";
			if (!fso.FileExists(sObjFName))
			{
				bNeededToCompile = true;
				sFilesToCompile += sFile + " ";
			}
			else
			{
				dtOldDate = new Date(fso.GetFile(sObjFName).DateLastModified);
				dtNewDate = new Date(fso.GetFile(sFile).DateLastModified);
				if (dtOldDate < dtNewDate)
				{
					sFilesToCompile += sFile + " ";
				}
			}
			sFilesToLink += sObjFName + " ";
		}
		tsPrjFile.Close();
		var tsBatFile;	// batch file
		tsBatFile = fso.OpenTextFile("cp_cmd.bat", ForWriting, true);
		if (bNeededToCompile)
		{
			tsBatFile.WriteLine("cl /GX /c " + sFilesToCompile);
			tsBatFile.WriteLine("if errorlevel 1 goto end");
			tsBatFile.WriteLine("link /OUT:" + sPrjFTitle + ".exe " + 
				sFilesToLink);
			tsBatFile.WriteLine(":end");
		}
		else
		{
			WScript.Echo("Files are up-to-date, no need to compile.");
		}
		tsBatFile.Close();
	}
}
catch (e)
{
	WScript.Echo("An error occurred: " + e.description);
	WScript.Quit(1);
}
